Skip to main content
POST
/
v1
/
references
/
{id}
Update a reference
curl --request POST \
  --url https://api.yorlet.com/v1/references/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {},
  "outcome": "accept",
  "reference_pdf": "<string>",
  "status": "processing"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "reference",
  "application": "<string>",
  "automatic_reference": {
    "enabled": true,
    "last_error": "<string>",
    "outcome": "<string>",
    "provider_data": {
      "advance_rent": {
        "affordability": {
          "percentage": 123,
          "status": "<string>"
        },
        "credit_score": 123,
        "notes": [
          {
            "created": 123,
            "message": "<string>"
          }
        ],
        "progress": 123,
        "sanctions_passed": true
      },
      "type": "advance_rent"
    },
    "provider": "advance_rent",
    "status": "<string>"
  },
  "completed_at": 123,
  "customer": "<string>",
  "outcome": "accept",
  "reference_pdf": "<string>",
  "status": "pending",
  "type": "customer",
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

outcome
enum<string>

The outcome of the reference.

Available options:
accept,
consider,
high_risk
reference_pdf
string

The file of the completed reference PDF.

status
enum<string>

If the reference is off-platform you can update the status to processing.

Available options:
processing

Response

200 - application/json

Returns the reference object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
reference
application
required

The identifier of the application for the reference.

automatic_reference
object
required

Automatic reference settings for this reference.

completed_at
integer | null
required

The timestamp of the reference completion.

customer
required

The customer for the reference.

outcome
enum<string> | null
required

The outcome of the reference.

Available options:
accept,
consider,
high_risk,
null
reference_pdf
string | null
required

The file of the completed reference PDF.

Pattern: ^[a-zA-Z0-9_]+$
status
enum<string>
required

The status of the reference.

Available options:
pending,
processing,
complete,
canceled
type
enum<string>
required

The reference type.

Available options:
customer
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

The metadata for the reference.